Bug 171401 - usb cdroms are added to hardware.conf twice
usb cdroms are added to hardware.conf twice
Status: CLOSED WONTFIX
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: cdrom (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg Nichols
Rob Landry
:
Depends On:
Blocks: 191897
  Show dependency treegraph
 
Reported: 2005-10-21 11:42 EDT by Rob Landry
Modified: 2008-07-17 18:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-17 18:03:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Landry 2005-10-21 11:42:34 EDT
Description of problem:

USB CD-ROM is detected twice; extra detection is misconfigred in hardware.conf

Version-Release number of selected component (if applicable):


How reproducible:

Everytime.

Steps to Reproduce:
1. attach usb cdrom
2. run "redhat-ready discovery"
3. look @ hardware.conf
  
Actual results:

CDROM N/A(cdrom) hdc(cd-rw,dvd) scd0(cdrom)

Expected results:

CDROM hdc(cd-rw,dvd) scd0(cdrom)

Additional info:

Cause if hwconf includes three entries for CLASS CDROM where only two devices
are present.  Specific duplication in this case is...

-
class: CDROM
bus: USB
detached: 0
driver: usb-storage
desc: "TEAC USB CD-ROM 210PU"
usbclass: 8
usbsubclass: 2
usbprotocol: 50
usbbus: 3
usblevel: 1
usbport: 1
usbdev: 2
vendorId: 0644
deviceId: 1000
usbmfr: TEAC
usbprod: USB CD-ROM 210PU
-
class: CDROM
bus: SCSI
detached: 0
device: scd0
driver: ignore
desc: "Teac CD-210PU"
host: 0
id: 0
channel: 0
lun: 0
generic: sg0
-

Which is the same device; if it helps "usbsubclass: 2" means an MMC-2 device
which in most cases equates to a CD or DVD drive.
Comment 1 Rob Landry 2006-05-16 09:19:09 EDT
has not been validated against rhr2-2.0-3; I want to say in a prior release we
started throwing out any "N/A" devices so this may already be resolved.
Comment 3 Rob Landry 2008-07-17 18:03:09 EDT
rhr2 has been deprecated, closing these remaining bugs as WONTFIX.  Future bugs
against the "hts" test suite should be opened agains the "Red Hat Hardware
Certification Program" product selecting either "Test Suite (harness)" or "Test
Suite (tests)" components.

Note You need to log in before you can comment on or make changes to this bug.